package cn.iocoder.yudao.module.basic.api.goodsinputrelational;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.goodsinputrelational.dto.RelationalRespDTO;
import cn.iocoder.yudao.module.basic.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Api(tags = "RPC 服务 - 商品与投入品映射")
public interface GoodsInputRelationalApi {

    String PREFIX = ApiConstants.PREFIX + "/goods-input-relational";

    @GetMapping(PREFIX + "/getInputInfoByGoodsId")
    @ApiOperation("获得投入品列表")
    @ApiImplicitParam(name = "goodsIds", value = "商品编码集合", required = true, example = "INBTBC20230421141955HIMK976D, INBTBC20230421141955HIMK976D", dataTypeClass = String.class)
    CommonResult<RelationalRespDTO> getInputInfoByGoodsId(@RequestParam("goodsIds") List<String> goodsIds);
}
