package cn.iocoder.yudao.module.basic.api.goodsverify;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.goodsverify.dto.GoodsVerifyRespDTO;
import cn.iocoder.yudao.module.basic.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Api(tags = "RPC 服务 - 商品认证")
public interface GoodsVerifyApi {

    String PREFIX = ApiConstants.PREFIX + "/goods-verify";

    @GetMapping(PREFIX + "/getGoodsVerifys")
    @ApiOperation("获得商品认证信息列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "goodsId", value = "商品编码", required = true, example = "INBTBC20230421141955HIMK976D", dataTypeClass = String.class),
            @ApiImplicitParam(name = "belongBusinessId", value = "所属商户id", required = true, example = "1", dataTypeClass = Long.class)
    })
    CommonResult<List<GoodsVerifyRespDTO>> getGoodsVerifys(@RequestParam("goodsId") String goodsId, @RequestParam("belongBusinessId") Long belongBusinessId);

}
