package cn.iocoder.yudao.module.basic.api.inputsinfo;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.inputsinfo.dto.InputsInfoRespDTO;
import cn.iocoder.yudao.module.basic.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Api(tags = "RPC 服务 - 投入品")
public interface InputsInfoApi {

    String PREFIX = ApiConstants.PREFIX + "/inputs-info";

    @GetMapping(PREFIX + "/getInputsInfoListByInputId")
    @ApiOperation("获得投入品列表")
    @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
    CommonResult<List<InputsInfoRespDTO>> getInputsInfoListByInputId(@RequestParam("ids") List<String> ids);
}
