package cn.iocoder.yudao.module.basic.api.goodsinputrelational;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.goodsinputrelational.dto.RelationalRespDTO;
import cn.iocoder.yudao.module.basic.service.goodsinputrelational.GoodsInputRelationalService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class GoodsInputRelationalApiImpl implements GoodsInputRelationalApi {

    @Resource
    private GoodsInputRelationalService goodsInputRelationalService;

    @Override
    public CommonResult<RelationalRespDTO> getInputInfoByGoodsId(List<String> goodsIds) {
        return CommonResult.success(goodsInputRelationalService.getInputInfoByGoodsId(goodsIds));
    }
}
