package cn.iocoder.yudao.module.basic.api.inputsinfo;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.inputsinfo.dto.InputsInfoRespDTO;
import cn.iocoder.yudao.module.basic.convert.inputsinfo.InputsInfoConvert;
import cn.iocoder.yudao.module.basic.dal.dataobject.inputsinfo.InputsInfoDO;
import cn.iocoder.yudao.module.basic.dal.mysql.inputsinfo.InputsInfoMapper;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class InputsInfoApiImpl implements InputsInfoApi {

    @Resource
    private InputsInfoMapper inputsInfoMapper;

    @Override
    public CommonResult<List<InputsInfoRespDTO>> getInputsInfoListByInputId(List<String> ids) {
        return CommonResult.success(InputsInfoConvert.INSTANCE.convertToDTOList(inputsInfoMapper.selectList(InputsInfoDO::getInputsId, ids)));
    }
}
