package cn.iocoder.yudao.module.basic.controller.admin.goodsinputrelational;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.controller.admin.goodsinfo.vo.GoodsInfoCreateReqVO;
import cn.iocoder.yudao.module.basic.controller.admin.goodsinputrelational.vo.GoodsInputRelationalCreateBatchReqVO;
import cn.iocoder.yudao.module.basic.controller.admin.goodsinputrelational.vo.GoodsInputRelationalCreateReqVO;
import cn.iocoder.yudao.module.basic.service.goodsinfo.GoodsInfoService;
import cn.iocoder.yudao.module.basic.service.goodsinputrelational.GoodsInputRelationalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Api(tags = "管理后台 - 投入品与商品映射")
@RestController
@RequestMapping("/basic/goods-input-relational")
@Validated
public class GoodsInputRelationalController {

    @Resource
    private GoodsInputRelationalService goodsInputRelationalService;

    @PostMapping("/createGoodsInputRelationalBatch")
    @ApiOperation("批量创建投入品与商品关联")
    @PreAuthorize("@ss.hasPermission('basic:goods-info:create')")
    public CommonResult createGoodsInputRelationalBatch(@Valid @RequestBody GoodsInputRelationalCreateBatchReqVO createReqVO) {
        goodsInputRelationalService.createGoodsInputRelationalBatch(createReqVO);
        return success(true);
    }

}
