package cn.iocoder.yudao.module.basic.controller.admin.goodsverify.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
* 商品认证 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class GoodsVerifyBaseVO {

    @ApiModelProperty(value = "商品名称", required = true)
    @NotNull(message = "商品名称不能为空")
    private String goodsName;

    @ApiModelProperty(value = "商品ID", required = true)
    @NotNull(message = "商品ID不能为空")
    private String goodsId;

    @ApiModelProperty(value = "认证名称", required = true)
    @NotNull(message = "认证名称不能为空")
    private String verifyName;

    @ApiModelProperty(value = "认证机构", required = true)
    @NotNull(message = "认证机构不能为空")
    private String verifyAgencies;

    @ApiModelProperty(value = "有效起始时间", required = true)
    @NotNull(message = "有效起始时间不能为空")
    @JsonFormat(shape = JsonFormat.Shape.STRING,pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date verifyStartTime;

    @ApiModelProperty(value = "有效截止时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING,pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date verifyEndTime;

    @ApiModelProperty(value = "认证资料url，以：分割，最多6张", required = true)
    @NotNull(message = "认证资料不能为空，请添加认证资料")
    private String verifyDataUrl;

    @ApiModelProperty(value = "是否长期有效", required = true)
    @NotNull(message = "是否长期有效不能为空")
    private Boolean verifyIsForver;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
