package cn.iocoder.yudao.module.basic.controller.admin.inputsinfo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
* 投入品 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class InputsInfoBaseVO {

    @ApiModelProperty(value = "投入品名称", required = true)
    @NotNull(message = "投入品名称不能为空")
    private String inputsName;

    @ApiModelProperty(value = "投入品id", required = true)
    private String inputsId;

    @ApiModelProperty(value = "是否基础单位(kg)")
    private Boolean isBaseUnit;

    @ApiModelProperty(value = "投入品单位id, 是基础单位(kg)时 该字段为0")
    private Long inputsUnitId;

    @ApiModelProperty(value = "投入品规格, 换算之后写入的数值 如：5kg/袋 (或者kg)")
    private String inputsSpecs;

    @ApiModelProperty(value = "换算值")
    private BigDecimal conversionValue;

    @ApiModelProperty(value = "投入品说明")
    private String inputsRemarks;

    @ApiModelProperty(value = "图片url，以','分割，最多6张", required = true)
    private String inputsPhotoUrl;

    @ApiModelProperty(value = "保质期天数", required = true)
    @NotNull(message = "保质期天数不能为空")
    private Integer shelfLife;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
