package cn.iocoder.yudao.module.basic.controller.admin.inputsinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel("管理后台 - 投入品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InputsInfoPageReqVO extends PageParam {

    @ApiModelProperty(value = "投入品名称")
    private String inputsName;

    @ApiModelProperty(value = "投入品id")
    private String inputsId;

    @ApiModelProperty(value = "是否基础单位(kg)")
    private Boolean isBaseUnit;

    @ApiModelProperty(value = "投入品单位id, 是基础单位(kg)时 该字段为0")
    private Long inputsUnitId;

    @ApiModelProperty(value = "投入品规格, 换算之后写入的数值 如：5kg/袋 (或者kg)")
    private String inputsSpecs;

    @ApiModelProperty(value = "换算值")
    private BigDecimal conversionValue;

    @ApiModelProperty(value = "投入品单位名称")
    private String inputsUnitName;

    @ApiModelProperty(value = "投入品说明")
    private String inputsRemarks;

    @ApiModelProperty(value = "图片，；分割，最多6张")
    private String inputsPhotoUrl;

    @ApiModelProperty(value = "保质期天")
    private Integer shelfLife;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    @ApiModelProperty(value = "创建时间")
    private Date[] createTime;

}
