package cn.iocoder.yudao.module.basic.controller.app.inputsinfo;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.controller.admin.inputsinfo.vo.InputsInfoRespVO;
import cn.iocoder.yudao.module.basic.convert.inputsinfo.InputsInfoConvert;
import cn.iocoder.yudao.module.basic.service.inputsinfo.InputsInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Api(tags = "APP移动端 - 投入品信息")
@RestController
@RequestMapping("/basic/inputs-info")
@Validated
public class InputsInfoAppController {

    @Resource
    private InputsInfoService inputsInfoService;

    @GetMapping("/getInputsInfoByBusinessInfoId")
    @PermitAll // 无需登陆
    @ApiOperation("根据商户ID获得投入品列表")
    @ApiImplicitParam(name = "id", value = "商户ID", required = true, example = "1", dataTypeClass = Long.class)
    public CommonResult<List<InputsInfoRespVO>> getInputsInfoByBusinessInfoId(@RequestParam("id") Long id) {
        return success(inputsInfoService.getInputsInfoByBusinessInfoId(id));
    }

}
