package cn.iocoder.yudao.module.basic.dal.dataobject.goodsinputrelational;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 投入品与商品映射 DO
 *
 * @author 芋道源码
 */
@TableName("basic_goods_input_relational")
@KeySequence("basic_goods_input_relational_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsInputRelationalDO extends BaseDO {

    /**
     *  ID
     */
    @TableId
    private Long id;
    /**
     * 商品ID
     */
    private String goodsId;
    /**
     * 投入品ID
     */
    private String inputsId;

}
