package cn.iocoder.yudao.module.basic.dal.dataobject.goodsverify;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 商品认证 DO
 *
 * @author 芋道源码
 */
@TableName("basic_goods_verify")
@KeySequence("basic_goods_verify_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsVerifyDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品ID
     */
    private String goodsId;
    /**
     * 认证名称
     */
    private String verifyName;
    /**
     * 认证机构
     */
    private String verifyAgencies;
    /**
     * 有效起始时间
     */
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date verifyStartTime;
    /**
     * 有效截止时间
     */
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date verifyEndTime;
    /**
     * 认证资料url，以：分割，最多6张
     */
    private String verifyDataUrl;
    /**
     * 是否长期有效
     */
    private Boolean verifyIsForver;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
