package cn.iocoder.yudao.module.basic.dal.mysql.inputsinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.basic.dal.dataobject.inputsinfo.InputsInfoDO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.basic.controller.admin.inputsinfo.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 投入品 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface InputsInfoMapper extends BaseMapperX<InputsInfoDO> {

    default PageResult<InputsInfoDO> selectPage(InputsInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<InputsInfoDO>()
                .likeIfPresent(InputsInfoDO::getInputsName, reqVO.getInputsName())
                .eqIfPresent(InputsInfoDO::getInputsId, reqVO.getInputsId())
                .eqIfPresent(InputsInfoDO::getIsBaseUnit, reqVO.getIsBaseUnit())
                .eqIfPresent(InputsInfoDO::getInputsUnitId, reqVO.getInputsUnitId())
                .eqIfPresent(InputsInfoDO::getConversionValue, reqVO.getConversionValue())
                .eqIfPresent(InputsInfoDO::getInputsSpecs, reqVO.getInputsSpecs())
                .eqIfPresent(InputsInfoDO::getInputsRemarks, reqVO.getInputsRemarks())
                .eqIfPresent(InputsInfoDO::getInputsPhotoUrl, reqVO.getInputsPhotoUrl())
                .eqIfPresent(InputsInfoDO::getShelfLife, reqVO.getShelfLife())
                .eqIfPresent(InputsInfoDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(InputsInfoDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(InputsInfoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(InputsInfoDO::getId));
    }

    default List<InputsInfoDO> selectList(InputsInfoExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<InputsInfoDO>()
                .likeIfPresent(InputsInfoDO::getInputsName, reqVO.getInputsName())
                .eqIfPresent(InputsInfoDO::getInputsId, reqVO.getInputsId())
                .eqIfPresent(InputsInfoDO::getIsBaseUnit, reqVO.getIsBaseUnit())
                .eqIfPresent(InputsInfoDO::getInputsUnitId, reqVO.getInputsUnitId())
                .eqIfPresent(InputsInfoDO::getConversionValue, reqVO.getConversionValue())
                .eqIfPresent(InputsInfoDO::getInputsSpecs, reqVO.getInputsSpecs())
                .eqIfPresent(InputsInfoDO::getInputsRemarks, reqVO.getInputsRemarks())
                .eqIfPresent(InputsInfoDO::getInputsPhotoUrl, reqVO.getInputsPhotoUrl())
                .eqIfPresent(InputsInfoDO::getShelfLife, reqVO.getShelfLife())
                .eqIfPresent(InputsInfoDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(InputsInfoDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(InputsInfoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(InputsInfoDO::getId));
    }

    IPage<InputsInfoDO> selectPageByInfo(IPage<InputsInfoDO> page, @Param(Constants.WRAPPER) Wrapper<InputsInfoDO> queryWrapper);

    IPage<InputsInfoDO> selectInputsPageByInfo(Page<InputsInfoDO> page,
                                               @Param("inputsName")  String inputsName,
                                               @Param("inputsId")  String inputsId,
                                               @Param("inputsUnitId")  Long inputsUnitId,
                                               @Param("belongBusinessName") String belongBusinessName);

    List<InputsInfoForTransferRespVO> queryListOfMiniResult(@Param("businessInfoId") Long businessInfoId);

    List<InputsInfoRespVO> getInputsInfoByBusinessInfoId(@Param("businessInfoId") Long businessInfoId);
}
