package cn.iocoder.yudao.module.basic.service.goodsverify;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.basic.controller.admin.goodsverify.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.goodsverify.GoodsVerifyDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 商品认证 Service 接口
 *
 * @author 芋道源码
 */
public interface GoodsVerifyService {

    /**
     * 创建商品认证
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createGoodsVerify(@Valid GoodsVerifyCreateReqVO createReqVO);

    /**
     * 更新商品认证
     *
     * @param updateReqVO 更新信息
     */
    void updateGoodsVerify(@Valid GoodsVerifyUpdateReqVO updateReqVO);

    /**
     * 删除商品认证
     *
     * @param id 编号
     */
    void deleteGoodsVerify(Long id);

    /**
     * 获得商品认证
     *
     * @param id 编号
     * @return 商品认证
     */
    GoodsVerifyDO getGoodsVerify(Long id);

    /**
     * 获得商品认证列表
     * @param goodsId
     * @param belongBusinessId
     * @return
     */
    List<GoodsVerifyDO> getGoodsVerifys(String goodsId, Long belongBusinessId);

    /**
     * 获得商品认证分页
     *
     * @param pageReqVO 分页查询
     * @return 商品认证分页
     */
    PageResult<GoodsVerifyDO> getGoodsVerifyPage(GoodsVerifyPageReqVO pageReqVO);

    /**
     * 根据商品编码获得商品认证信息
     * @param goodsId 商品编码
     * @return 认证信息
     */
    List<GoodsVerifyDO> getByGoodsId(String goodsId);

}
