package cn.iocoder.yudao.module.configure.controller.admin.tracecert.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 溯源链证书配置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class TraceCertBaseVO {

    @ApiModelProperty(value = "所在链名称", required = true)
    @NotNull(message = "所在链名称不能为空")
    private String chainName;

    @ApiModelProperty(value = "是否展示所在区块", required = true)
    @NotNull(message = "是否展示所在区块不能为空")
    private Boolean showBlock;

    @ApiModelProperty(value = "是否展示成块时间", required = true)
    @NotNull(message = "是否展示成块时间不能为空")
    private Boolean showBlockTime;

    @ApiModelProperty(value = "是否展示唯一编码", required = true)
    @NotNull(message = "是否展示唯一编码不能为空")
    private Boolean showIdentity;

    @ApiModelProperty(value = "是否展示上传主体证明", required = true)
    @NotNull(message = "是否展示上传主体证明不能为空")
    private Boolean showSubjectProof;

    @ApiModelProperty(value = "是否展示上传时间", required = true)
    @NotNull(message = "是否展示上传时间不能为空")
    private Boolean showUploadTime;

    @ApiModelProperty(value = "是否展示上传地点", required = true)
    @NotNull(message = "是否展示上传地点不能为空")
    private Boolean showUploadLocation;

    @ApiModelProperty(value = "上传者身份", required = true)
    @NotNull(message = "上传者身份不能为空")
    private String uploadUser;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
