package cn.iocoder.yudao.module.configure.controller.admin.tracecert.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 溯源链证书配置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TraceCertPageReqVO extends PageParam {

    @ApiModelProperty(value = "所在链名称")
    private String chainName;

    @ApiModelProperty(value = "是否展示所在区块")
    private Boolean showBlock;

    @ApiModelProperty(value = "是否展示成块时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Boolean[] showBlockTime;

    @ApiModelProperty(value = "是否展示唯一编码")
    private Boolean showIdentity;

    @ApiModelProperty(value = "是否展示上传主体证明")
    private Boolean showSubjectProof;

    @ApiModelProperty(value = "是否展示上传时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Boolean[] showUploadTime;

    @ApiModelProperty(value = "是否展示上传地点")
    private Boolean showUploadLocation;

    @ApiModelProperty(value = "上传者身份")
    private String uploadUser;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
