package cn.iocoder.yudao.module.configure.dal.dataobject.tracecert;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 溯源链证书配置 DO
 *
 * @author 芋道源码
 */
@TableName("configure_trace_cert")
@KeySequence("configure_trace_cert_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TraceCertDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 所在链名称
     */
    private String chainName;
    /**
     * 是否展示所在区块
     */
    private Boolean showBlock;
    /**
     * 是否展示成块时间
     */
    private Boolean showBlockTime;
    /**
     * 是否展示唯一编码
     */
    private Boolean showIdentity;
    /**
     * 是否展示上传主体证明
     */
    private Boolean showSubjectProof;
    /**
     * 是否展示上传时间
     */
    private Boolean showUploadTime;
    /**
     * 是否展示上传地点
     */
    private Boolean showUploadLocation;
    /**
     * 上传者身份
     */
    private String uploadUser;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
