package cn.iocoder.yudao.module.configure.dal.mysql.tracecert;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracecert.TraceCertDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.configure.controller.admin.tracecert.vo.*;

/**
 * 溯源链证书配置 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface TraceCertMapper extends BaseMapperX<TraceCertDO> {

    default PageResult<TraceCertDO> selectPage(TraceCertPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<TraceCertDO>()
                .likeIfPresent(TraceCertDO::getChainName, reqVO.getChainName())
                .eqIfPresent(TraceCertDO::getShowBlock, reqVO.getShowBlock())
                .betweenIfPresent(TraceCertDO::getShowBlockTime, reqVO.getShowBlockTime())
                .eqIfPresent(TraceCertDO::getShowIdentity, reqVO.getShowIdentity())
                .eqIfPresent(TraceCertDO::getShowSubjectProof, reqVO.getShowSubjectProof())
                .betweenIfPresent(TraceCertDO::getShowUploadTime, reqVO.getShowUploadTime())
                .eqIfPresent(TraceCertDO::getShowUploadLocation, reqVO.getShowUploadLocation())
                .eqIfPresent(TraceCertDO::getUploadUser, reqVO.getUploadUser())
                .eqIfPresent(TraceCertDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(TraceCertDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(TraceCertDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(TraceCertDO::getId));
    }

}
