package cn.iocoder.yudao.module.configure.service.tracecert;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.configure.controller.admin.tracecert.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracecert.TraceCertDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 溯源链证书配置 Service 接口
 *
 * @author 芋道源码
 */
public interface TraceCertService {

    /**
     * 创建溯源链证书配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTraceCert(@Valid TraceCertCreateReqVO createReqVO);

    /**
     * 更新溯源链证书配置
     *
     * @param updateReqVO 更新信息
     */
    void updateTraceCert(@Valid TraceCertUpdateReqVO updateReqVO);

    /**
     * 删除溯源链证书配置
     *
     * @param id 编号
     */
    void deleteTraceCert(Long id);

    /**
     * 获得溯源链证书配置
     *
     * @param belongBusinessId 所属商户id
     * @return 溯源链证书配置
     */
    TraceCertDO getTraceCertByBusinessId(Long belongBusinessId);

}
