package cn.iocoder.yudao.module.flow.api.outboundgoods;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.flow.api.outboundgoods.dto.OutboundgoodsRespDTO;
import cn.iocoder.yudao.module.flow.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Api(tags = "RPC 服务 - 出库单商品")
public interface OtboundgoodsApi {

    String PREFIX = ApiConstants.PREFIX + "/outbound-goods";

    @GetMapping(PREFIX + "/getOtboundgoodsListByInputId")
    @ApiOperation("获得出库单商品列表")
    @ApiImplicitParam(name = "ids", value = "出库单商品编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
    CommonResult<List<OutboundgoodsRespDTO>> getOtboundgoodsListByInputId(@RequestParam("ids") List<String> ids);
}
