package cn.iocoder.yudao.module.flow.api;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.flow.api.outboundgoods.OtboundgoodsApi;
import cn.iocoder.yudao.module.flow.api.outboundgoods.dto.OutboundgoodsRespDTO;
import cn.iocoder.yudao.module.flow.convert.outboundgoods.OutboundGoodsConvert;
import cn.iocoder.yudao.module.flow.dal.dataobject.outboundgoods.OutboundGoodsDO;
import cn.iocoder.yudao.module.flow.dal.mysql.outboundgoods.OutboundGoodsMapper;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class outboundgoodsApiImpl implements OtboundgoodsApi {

    @Resource
    private OutboundGoodsMapper outboundGoodsMapper;

    @Override
    public CommonResult<List<OutboundgoodsRespDTO>> getOtboundgoodsListByInputId(List<String> ids) {
        return CommonResult.success(OutboundGoodsConvert.INSTANCE.convertToDTOList(outboundGoodsMapper.selectList(OutboundGoodsDO::getGoodsId, ids)));
    }
}
