package cn.iocoder.yudao.module.flow.controller.admin.outbound.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 出库单 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OutboundBaseVO {

    @ApiModelProperty(value = "经销商id", required = true)
    @NotNull(message = "经销商id不能为空")
    private String vendorId;

    @ApiModelProperty(value = "经销商名称", required = true)
    @NotNull(message = "经销商名称不能为空")
    private String vendorName;

    @ApiModelProperty(value = "出库单号", required = true)
    @NotNull(message = "出库单号不能为空")
    private String outBoundId;

    @ApiModelProperty(value = "出库时间", required = true)
    @NotNull(message = "出库时间不能为空")
    private Date outBoundTime;

    @ApiModelProperty(value = "承运人")
    private String carrierVehicles;

    @ApiModelProperty(value = "承运车辆")
    private String carrier;

    @ApiModelProperty(value = "联系方式")
    private String carrierContact;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态", required = true)
    @NotNull(message = "上链状态 0：未上链  1：激活状态  2：冻结状态不能为空")
    private  Integer  blockState;

    @ApiModelProperty(value = "出库批次上链区块id")
    private String blockChainId;

    @ApiModelProperty(value = "出库批次上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
