package cn.iocoder.yudao.module.flow.controller.admin.outbound.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo.OutboundGoodsSaveReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 出库单创建 Request VO")
@Data
@ToString(callSuper = true)
public class OutboundCreateReqVO {

    @ApiModelProperty(value = "经销商id", required = true)
    @NotNull(message = "经销商id不能为空")
    private String vendorId;

    @ApiModelProperty(value = "经销商名称")
    private String vendorName;

    @ApiModelProperty(value = "出库单号")
    private String outBoundId;

    @ApiModelProperty(value = "出库时间", required = true)
    @NotNull(message = "出库时间不能为空")
    private Date outBoundTime;

    @ApiModelProperty(value = "承运人")
    private String carrierVehicles;

    @ApiModelProperty(value = "承运车辆")
    private String carrier;

    @ApiModelProperty(value = "联系方式")
    private String carrierContact;

    @ApiModelProperty(value = "出库单号", required = true)
    @Valid
    private List<OutboundGoodsSaveReqVO> outboundGoods;


}
