package cn.iocoder.yudao.module.flow.controller.admin.outbound.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class OutboundSaveReqVO {

    @ApiModelProperty(value = "经销商id")
    private String vendorId;

    @ApiModelProperty(value = "经销商名称")
    private String vendorName;

    @ApiModelProperty(value = "出库单号")
    private String outBoundId;

    @ApiModelProperty(value = "出库时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date outBoundTime;

    @ApiModelProperty(value = "承运人")
    private String carrierVehicles;

    @ApiModelProperty(value = "承运车辆")
    private String carrier;

    @ApiModelProperty(value = "联系方式")
    private String carrierContact;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ApiModelProperty(value = "出库批次上链区块id")
    private String blockChainId;

    @ApiModelProperty(value = "出库批次上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date createTime;

}
