package cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 出库单商品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OutboundGoodsPageReqVO extends PageParam {

    @ApiModelProperty(value = "出库单-商品批次关联绑定id")
    private String bindId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "出库单号")
    private String outBoundId;

    @ApiModelProperty(value = "出库关联采收批次id")
    private String harvestBatchId;

    @ApiModelProperty(value = "溯源码数量")
    private Integer identityCodeNum;

    @ApiModelProperty(value = "商品数量")
    private Integer goodsNum;

    @ApiModelProperty(value = "商品单位")
    private String goodsUnit;

    @ApiModelProperty(value = "商品重量")
    private BigDecimal goodsWeight;

    @ApiModelProperty(value = "商品单价")
    private BigDecimal goodsUnitPrice;

    @ApiModelProperty(value = "总价")
    private BigDecimal totalPrice;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

}
