package cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class OutboundGoodsSaveReqVO {

    @ApiModelProperty(value = "编码", required = true)
//    @NotNull(message = "编码不能为空")
    private Long id;

    @ApiModelProperty(value = "商品id", required = true)
    @NotNull(message = "商品id不能为空")
    private String goodsId;

    @ApiModelProperty(value = "商品名称", required = true)
    @NotNull(message = "商品名称不能为空")
    private String goodsName;

    @ApiModelProperty(value = "出库单号")
    private String outBoundId;

    @ApiModelProperty(value = "出库关联采收批次id", required = true)
    @NotNull(message = "出库关联采收批次id不能为空")
    private String harvestBatchId;

    @ApiModelProperty(value = "溯源码数量")
    private Integer identityCodeNum;

    @ApiModelProperty(value = "商品数量")
    private Integer goodsNum;

    @ApiModelProperty(value = "商品单位")
    private String goodsUnit;

    @ApiModelProperty(value = "商品重量")
    private BigDecimal goodsWeight;

    @ApiModelProperty(value = "商品单价")
    private BigDecimal goodsUnitPrice;

    @ApiModelProperty(value = "总价")
    private BigDecimal totalPrice;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
