package cn.iocoder.yudao.module.flow.dal.dataobject.outboundgoods;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出库单商品 DO
 *
 * @author 芋道源码
 */
@TableName("flow_outbound_goods")
@KeySequence("flow_outbound_goods_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OutboundGoodsDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 出库单-商品批次关联绑定id
     */
    private String bindId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 出库单号
     */
    private String outBoundId;
    /**
     * 出库关联采收批次id
     */
    private String harvestBatchId;
    /**
     * 溯源码数量
     */
    private Integer identityCodeNum;
    /**
     * 商品数量
     */
    private Integer goodsNum;
    /**
     * 商品单位
     */
    private String goodsUnit;
    /**
     * 商品重量
     */
    private BigDecimal goodsWeight;
    /**
     * 商品单价
     */
    private BigDecimal goodsUnitPrice;
    /**
     * 总价
     */
    private BigDecimal totalPrice;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
