package cn.iocoder.yudao.module.flow.service.outboundgoods;

import cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo.OutboundGoodsCreateReqVO;
import cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo.OutboundGoodsUpdateReqVO;

import javax.validation.Valid;

/**
 * 出库单商品 Service 接口
 *
 * @author 芋道源码
 */
public interface OutboundGoodsService {

    /**
     * 创建出库单商品
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOutboundGoods(@Valid OutboundGoodsCreateReqVO createReqVO);

    /**
     * 更新出库单商品
     *
     * @param updateReqVO 更新信息
     */
    void updateOutboundGoods(@Valid OutboundGoodsUpdateReqVO updateReqVO);

    /**
     * 删除出库单商品
     *
     * @param id 编号
     */
    void deleteOutboundGoods(Long id);

}
