package cn.iocoder.yudao.module.flow.convert.outbound;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.flow.api.outbound.dto.OutboundRespDTO;
import cn.iocoder.yudao.module.flow.controller.admin.outbound.vo.OutboundCreateReqVO;
import cn.iocoder.yudao.module.flow.controller.admin.outbound.vo.OutboundExcelVO;
import cn.iocoder.yudao.module.flow.controller.admin.outbound.vo.OutboundRespVO;
import cn.iocoder.yudao.module.flow.controller.admin.outbound.vo.OutboundUpdateReqVO;
import cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo.OutboundGoodsSaveReqVO;
import cn.iocoder.yudao.module.flow.dal.dataobject.outbound.OutboundDO;
import cn.iocoder.yudao.module.flow.dal.dataobject.outboundgoods.OutboundGoodsDO;
import java.time.ZoneOffset;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.annotation.Generated;

@Generated(
    value = "org.mapstruct.ap.MappingProcessor",
    date = "2024-07-12T09:16:18+0800",
    comments = "version: 1.5.3.Final, compiler: javac, environment: Java 1.8.0_291 (Oracle Corporation)"
)
public class OutboundConvertImpl implements OutboundConvert {

    @Override
    public OutboundDO convert(OutboundCreateReqVO bean) {
        if ( bean == null ) {
            return null;
        }

        OutboundDO.OutboundDOBuilder outboundDO = OutboundDO.builder();

        outboundDO.vendorId( bean.getVendorId() );
        outboundDO.vendorName( bean.getVendorName() );
        outboundDO.outBoundId( bean.getOutBoundId() );
        outboundDO.outBoundTime( bean.getOutBoundTime() );
        outboundDO.carrierVehicles( bean.getCarrierVehicles() );
        outboundDO.carrier( bean.getCarrier() );
        outboundDO.carrierContact( bean.getCarrierContact() );

        return outboundDO.build();
    }

    @Override
    public OutboundDO convert(OutboundUpdateReqVO bean) {
        if ( bean == null ) {
            return null;
        }

        OutboundDO.OutboundDOBuilder outboundDO = OutboundDO.builder();

        outboundDO.id( bean.getId() );
        outboundDO.vendorId( bean.getVendorId() );
        outboundDO.vendorName( bean.getVendorName() );
        outboundDO.outBoundId( bean.getOutBoundId() );
        outboundDO.outBoundTime( bean.getOutBoundTime() );
        outboundDO.carrierVehicles( bean.getCarrierVehicles() );
        outboundDO.carrier( bean.getCarrier() );
        outboundDO.carrierContact( bean.getCarrierContact() );

        return outboundDO.build();
    }

    @Override
    public OutboundRespVO convert(OutboundDO bean) {
        if ( bean == null ) {
            return null;
        }

        OutboundRespVO outboundRespVO = new OutboundRespVO();

        outboundRespVO.setVendorId( bean.getVendorId() );
        outboundRespVO.setVendorName( bean.getVendorName() );
        outboundRespVO.setOutBoundId( bean.getOutBoundId() );
        outboundRespVO.setOutBoundTime( bean.getOutBoundTime() );
        outboundRespVO.setCarrierVehicles( bean.getCarrierVehicles() );
        outboundRespVO.setCarrier( bean.getCarrier() );
        outboundRespVO.setCarrierContact( bean.getCarrierContact() );
        outboundRespVO.setBlockState( bean.getBlockState() );
        outboundRespVO.setBlockChainId( bean.getBlockChainId() );
        outboundRespVO.setBlockChainBlockIdentity( bean.getBlockChainBlockIdentity() );
        outboundRespVO.setBelongBusinessId( bean.getBelongBusinessId() );
        outboundRespVO.setBelongBusinessName( bean.getBelongBusinessName() );
        outboundRespVO.setId( bean.getId() );
        if ( bean.getCreateTime() != null ) {
            outboundRespVO.setCreateTime( Date.from( bean.getCreateTime().toInstant( ZoneOffset.UTC ) ) );
        }

        return outboundRespVO;
    }

    @Override
    public List<OutboundRespVO> convertList(List<OutboundDO> list) {
        if ( list == null ) {
            return null;
        }

        List<OutboundRespVO> list1 = new ArrayList<OutboundRespVO>( list.size() );
        for ( OutboundDO outboundDO : list ) {
            list1.add( convert( outboundDO ) );
        }

        return list1;
    }

    @Override
    public PageResult<OutboundRespVO> convertPage(PageResult<OutboundDO> page) {
        if ( page == null ) {
            return null;
        }

        PageResult<OutboundRespVO> pageResult = new PageResult<OutboundRespVO>();

        pageResult.setList( convertList( page.getList() ) );
        pageResult.setTotal( page.getTotal() );

        return pageResult;
    }

    @Override
    public List<OutboundExcelVO> convertList02(List<OutboundDO> list) {
        if ( list == null ) {
            return null;
        }

        List<OutboundExcelVO> list1 = new ArrayList<OutboundExcelVO>( list.size() );
        for ( OutboundDO outboundDO : list ) {
            list1.add( outboundDOToOutboundExcelVO( outboundDO ) );
        }

        return list1;
    }

    @Override
    public List<OutboundGoodsDO> convertListCreate(List<OutboundGoodsSaveReqVO> list) {
        if ( list == null ) {
            return null;
        }

        List<OutboundGoodsDO> list1 = new ArrayList<OutboundGoodsDO>( list.size() );
        for ( OutboundGoodsSaveReqVO outboundGoodsSaveReqVO : list ) {
            list1.add( outboundGoodsSaveReqVOToOutboundGoodsDO( outboundGoodsSaveReqVO ) );
        }

        return list1;
    }

    @Override
    public List<OutboundRespDTO> convertToRespDTOList(List<OutboundDO> list) {
        if ( list == null ) {
            return null;
        }

        List<OutboundRespDTO> list1 = new ArrayList<OutboundRespDTO>( list.size() );
        for ( OutboundDO outboundDO : list ) {
            list1.add( outboundDOToOutboundRespDTO( outboundDO ) );
        }

        return list1;
    }

    protected OutboundExcelVO outboundDOToOutboundExcelVO(OutboundDO outboundDO) {
        if ( outboundDO == null ) {
            return null;
        }

        OutboundExcelVO outboundExcelVO = new OutboundExcelVO();

        outboundExcelVO.setId( outboundDO.getId() );
        outboundExcelVO.setVendorId( outboundDO.getVendorId() );
        outboundExcelVO.setVendorName( outboundDO.getVendorName() );
        outboundExcelVO.setOutBoundId( outboundDO.getOutBoundId() );
        outboundExcelVO.setOutBoundTime( outboundDO.getOutBoundTime() );
        outboundExcelVO.setCarrierVehicles( outboundDO.getCarrierVehicles() );
        outboundExcelVO.setCarrier( outboundDO.getCarrier() );
        outboundExcelVO.setCarrierContact( outboundDO.getCarrierContact() );
        outboundExcelVO.setBlockState( outboundDO.getBlockState() );
        outboundExcelVO.setBlockChainId( outboundDO.getBlockChainId() );
        outboundExcelVO.setBlockChainBlockIdentity( outboundDO.getBlockChainBlockIdentity() );
        outboundExcelVO.setBelongBusinessId( outboundDO.getBelongBusinessId() );
        outboundExcelVO.setBelongBusinessName( outboundDO.getBelongBusinessName() );
        if ( outboundDO.getCreateTime() != null ) {
            outboundExcelVO.setCreateTime( Date.from( outboundDO.getCreateTime().toInstant( ZoneOffset.UTC ) ) );
        }

        return outboundExcelVO;
    }

    protected OutboundGoodsDO outboundGoodsSaveReqVOToOutboundGoodsDO(OutboundGoodsSaveReqVO outboundGoodsSaveReqVO) {
        if ( outboundGoodsSaveReqVO == null ) {
            return null;
        }

        OutboundGoodsDO.OutboundGoodsDOBuilder outboundGoodsDO = OutboundGoodsDO.builder();

        outboundGoodsDO.id( outboundGoodsSaveReqVO.getId() );
        outboundGoodsDO.goodsId( outboundGoodsSaveReqVO.getGoodsId() );
        outboundGoodsDO.goodsName( outboundGoodsSaveReqVO.getGoodsName() );
        outboundGoodsDO.outBoundId( outboundGoodsSaveReqVO.getOutBoundId() );
        outboundGoodsDO.harvestBatchId( outboundGoodsSaveReqVO.getHarvestBatchId() );
        outboundGoodsDO.identityCodeNum( outboundGoodsSaveReqVO.getIdentityCodeNum() );
        outboundGoodsDO.goodsNum( outboundGoodsSaveReqVO.getGoodsNum() );
        outboundGoodsDO.goodsUnit( outboundGoodsSaveReqVO.getGoodsUnit() );
        outboundGoodsDO.goodsWeight( outboundGoodsSaveReqVO.getGoodsWeight() );
        outboundGoodsDO.goodsUnitPrice( outboundGoodsSaveReqVO.getGoodsUnitPrice() );
        outboundGoodsDO.totalPrice( outboundGoodsSaveReqVO.getTotalPrice() );
        outboundGoodsDO.belongBusinessId( outboundGoodsSaveReqVO.getBelongBusinessId() );
        outboundGoodsDO.belongBusinessName( outboundGoodsSaveReqVO.getBelongBusinessName() );

        return outboundGoodsDO.build();
    }

    protected OutboundRespDTO outboundDOToOutboundRespDTO(OutboundDO outboundDO) {
        if ( outboundDO == null ) {
            return null;
        }

        OutboundRespDTO outboundRespDTO = new OutboundRespDTO();

        outboundRespDTO.setId( outboundDO.getId() );
        outboundRespDTO.setVendorId( outboundDO.getVendorId() );
        outboundRespDTO.setVendorName( outboundDO.getVendorName() );
        outboundRespDTO.setOutBoundId( outboundDO.getOutBoundId() );
        outboundRespDTO.setOutBoundTime( outboundDO.getOutBoundTime() );
        outboundRespDTO.setCarrierVehicles( outboundDO.getCarrierVehicles() );
        outboundRespDTO.setCarrier( outboundDO.getCarrier() );
        outboundRespDTO.setCarrierContact( outboundDO.getCarrierContact() );
        outboundRespDTO.setBlockState( outboundDO.getBlockState() );
        outboundRespDTO.setBlockChainId( outboundDO.getBlockChainId() );
        outboundRespDTO.setBlockChainBlockIdentity( outboundDO.getBlockChainBlockIdentity() );
        outboundRespDTO.setBelongBusinessId( outboundDO.getBelongBusinessId() );
        outboundRespDTO.setBelongBusinessName( outboundDO.getBelongBusinessName() );

        return outboundRespDTO;
    }
}
