package cn.iocoder.yudao.module.identity.dal.dataobject.businessrule;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 码规则 DO
 *
 * @author 芋道源码
 */
@TableName("identity_business_rule")
@KeySequence("identity_business_rule_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusinessRuleDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 商户id
     */
    private String businessId;
    /**
     * 商户名称
     */
    private String businessName;
    /**
     * 溯源码规则标识码
     */
    private String codeRuleId;
    /**
     * 码规则名称
     */
    private String codeRuleName;
    /**
     * 码类型：0：普通码 1：明暗码
     */
    private Integer codeType;
    /**
     * 码规则
     */
    private String codeRuleFormat;

}
