package cn.iocoder.yudao.module.product.api.inputsbuy;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.product.api.inputsbuy.dto.InputsBuyDTO;
import cn.iocoder.yudao.module.product.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = ApiConstants.NAME)
@Api(tags = "管理后台 - 采收批次")
public interface InputsBuyApi {
    String PREFIX = ApiConstants.PRODUCT + "/inputs-buy";

    @GetMapping(PREFIX + "/getInputsBuyListByVendorId")
    @ApiOperation("获得投入品批次列表")
    @ApiImplicitParam(name = "vendorId", value = "供应商编码", required = true, example = "BYPJOE202304131134306BSBXTMP", dataTypeClass = String.class)
    CommonResult<List<InputsBuyDTO>> getInputsBuyListByVendorId(@RequestParam("vendorId") String vendorId);

}

