package cn.iocoder.yudao.module.product.api.landjob;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.product.api.landjob.dto.LandJobDTO;
import cn.iocoder.yudao.module.product.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = ApiConstants.NAME)
@Api(tags = "管理后台 - 采收批次")
public interface LandJobApi {
    String PREFIX = ApiConstants.PRODUCT + "/land-job";

    @GetMapping(PREFIX + "/getLandJobListByJobWorkerId")
    @ApiOperation("获得投入品批次列表")
    @ApiImplicitParam(name = "jobWorkerId", value = "作业员工ID", required = true, example = "6", dataTypeClass = Long.class)
    CommonResult<List<LandJobDTO>> getLandJobListByJobWorkerId(@RequestParam("jobWorkerId") Long jobWorkerId);

}
