package cn.iocoder.yudao.module.product.api.inputsbatch;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.product.api.inputsbatch.dto.InputsBatchDTO;
import cn.iocoder.yudao.module.product.convert.inputsbatch.InputsBatchConvert;
import cn.iocoder.yudao.module.product.dal.dataobject.inputsbatch.InputsBatchDO;
import cn.iocoder.yudao.module.product.dal.mysql.inputsbatch.InputsBatchMapper;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = ApiConstants.VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
public class InputsBatchApiImpl implements InputsBatchApi {
    @Resource
    private InputsBatchMapper inputsBatchMapper;


    @Override
    public CommonResult<List<InputsBatchDTO>> getInputsBatchListByInputId(String inputsId) {
        return CommonResult.success(InputsBatchConvert.INSTANCE.convertInputsBatchDOToDTOList(inputsBatchMapper.selectList(InputsBatchDO::getInputsId,inputsId)));
    }
}
