package cn.iocoder.yudao.module.product.api.inputsbuy;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.product.api.inputsbuy.dto.InputsBuyDTO;
import cn.iocoder.yudao.module.product.convert.inputsbuy.InputsBuyConvert;
import cn.iocoder.yudao.module.product.dal.dataobject.inputsbuy.InputsBuyDO;
import cn.iocoder.yudao.module.product.dal.mysql.inputsbuy.InputsBuyMapper;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = ApiConstants.VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
public class InputsBuyApiImpl implements InputsBuyApi{
    @Resource
    private InputsBuyMapper inputsBuyMapper;

    @Override
    public CommonResult<List<InputsBuyDTO>> getInputsBuyListByVendorId(String vendorId) {
        return CommonResult.success(InputsBuyConvert.INSTANCE.convertToInputsBuyDTOList(inputsBuyMapper.selectList(InputsBuyDO::getVendorId,vendorId)));
    }
}
