package cn.iocoder.yudao.module.product.api.landjob;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.product.api.landjob.dto.LandJobDTO;
import cn.iocoder.yudao.module.product.convert.landjob.LandJobConvert;
import cn.iocoder.yudao.module.product.dal.dataobject.landjob.LandJobDO;
import cn.iocoder.yudao.module.product.dal.mysql.landjob.LandJobMapper;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;


@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = ApiConstants.VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
public class LandJobApiImpl implements LandJobApi{
    @Resource
    private LandJobMapper landJobMapper;


    @Override
    public CommonResult<List<LandJobDTO>> getLandJobListByJobWorkerId(Long jobWorkerId) {
        return CommonResult.success(LandJobConvert.INSTANCE.convertToLandJobDTOList(landJobMapper.selectList(LandJobDO::getJobWorkerId,jobWorkerId)));
    }
}
