package cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 投入品批次 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class InputsBatchBaseVO {

    @ApiModelProperty(value = "投入品名称", required = true)
    @NotNull(message = "投入品名称不能为空")
    private String inputsName;

    @ApiModelProperty(value = "投入品ID", required = true)
    @NotNull(message = "投入品ID不能为空")
    private String inputsId;

    @ApiModelProperty(value = "投入品批次ID", required = true)
    @NotNull(message = "投入品批次ID不能为空")
    private String inputsBatchId;

    @ApiModelProperty(value = "投入品采购单号", required = true)
    @NotNull(message = "投入品采购单号不能为空")
    private String inputsBuyId;

    @ApiModelProperty(value = "生产日期", required = true)
    @NotNull(message = "生产日期不能为空")
    private Date productData;

    @ApiModelProperty(value = "投入品数量", required = true)
    @NotNull(message = "投入品数量不能为空")
    private Integer inputsNum;

    @ApiModelProperty(value = "投入品单位")
    private String inputsUnit;

    @ApiModelProperty(value = "投入品总量")
    private BigDecimal inputsWeight;

    @ApiModelProperty(value = "投入品单价")
    private BigDecimal inputsUnitPrice;

    @ApiModelProperty(value = "投入品总价")
    private BigDecimal totalPrice;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态", required = true)
    @NotNull(message = "上链状态 0：未上链  1：激活状态  2：冻结状态不能为空")
    private Integer blockState;

    @ApiModelProperty(value = "批次上链区块id")
    private String blockChainId;

    @ApiModelProperty(value = "批次上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
