package cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 投入品批次创建 Request VO")
@Data
public class InputsBatchCreateReqVO {

    @ApiModelProperty(value = "投入品名称")
    private String inputsName;

    @ApiModelProperty(value = "投入品ID", required = true)
    @NotNull(message = "投入品ID不能为空")
    private String inputsId;

    @ApiModelProperty(value = "投入品批次ID", required = true)
    @NotNull(message = "投入品批次ID不能为空")
    private String inputsBatchId;

//    @ApiModelProperty(value = "投入品采购单号", required = true)
//    @NotNull(message = "投入品采购单号不能为空")
//    private String inputsBuyId;

    @ApiModelProperty(value = "生产日期", required = true)
    @NotNull(message = "生产日期不能为空")
    private Date productData;

    @ApiModelProperty(value = "投入品数量", required = true)
    @NotNull(message = "投入品数量不能为空")
    private Integer inputsNum;

    @ApiModelProperty(value = "投入品单位")
    private String inputsUnit;

    @ApiModelProperty(value = "投入品总量")
    private BigDecimal inputsWeight;

    @ApiModelProperty(value = "投入品单价")
    private BigDecimal inputsUnitPrice;

    @ApiModelProperty(value = "投入品总价")
    private BigDecimal totalPrice;

    @ApiModelProperty(value = "备注")
    private String remarks;

}
