package cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(value = "管理后台 - 投入品批次 Excel 导出 Request VO", description = "参数和 InputsBatchPageReqVO 是一致的")
@Data
public class InputsBatchExportReqVO {

    @ApiModelProperty(value = "投入品名称")
    private String inputsName;

    @ApiModelProperty(value = "投入品ID")
    private String inputsId;

    @ApiModelProperty(value = "投入品批次ID")
    private String inputsBatchId;

    @ApiModelProperty(value = "投入品采购单号")
    private String inputsBuyId;

    @ApiModelProperty(value = "生产日期")
    private Date productData;

    @ApiModelProperty(value = "投入品数量")
    private Integer inputsNum;

    @ApiModelProperty(value = "投入品单位")
    private String inputsUnit;

    @ApiModelProperty(value = "投入品总量")
    private BigDecimal inputsWeight;

    @ApiModelProperty(value = "投入品单价")
    private BigDecimal inputsUnitPrice;

    @ApiModelProperty(value = "投入品总价")
    private BigDecimal totalPrice;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ApiModelProperty(value = "批次上链区块id")
    private String blockChainId;

    @ApiModelProperty(value = "批次上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
