package cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 投入品采购 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class InputsBuyBaseVO {

    @ApiModelProperty(value = "投入品采购单号", required = true)
    @NotNull(message = "投入品采购单号不能为空")
    private String inputsBuyId;

    @ApiModelProperty(value = "关联出库单号")
    private String relateOutboundId;

    @ApiModelProperty(value = "供应商名称", required = true)
    @NotNull(message = "供应商名称不能为空")
    private String vendorName;

    @ApiModelProperty(value = "供应商id", required = true)
    @NotNull(message = "供应商id不能为空")
    private String vendorId;

    @ApiModelProperty(value = "入库时间", required = true)
    @NotNull(message = "入库时间不能为空")
    private Date inputsBuyTime;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态", required = true)
    @NotNull(message = "上链状态 0：未上链  1：激活状态  2：冻结状态不能为空")
    private Integer blockState;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
