package cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo;

import cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo.InputsBatchSaveReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 投入品采购创建 Request VO")
@Data
public class InputsBuyCreateReqVO {

    @ApiModelProperty(value = "投入品采购单号", required = true)
    @NotNull(message = "投入品采购单号不能为空")
    private String inputsBuyId;

    @ApiModelProperty(value = "关联出库单号")
    private String relateOutboundId;

    @ApiModelProperty(value = "供应商id", required = true)
    @NotNull(message = "供应商id不能为空")
    private String vendorId;

    @ApiModelProperty(value = "入库时间", required = true)
    @NotNull(message = "入库时间不能为空")
    private Date inputsBuyTime;

    @ApiModelProperty(value = "投入品", required = true)
    @NotEmpty(message = "投入品不能为空")
    @Valid
    private List<InputsBatchSaveReqVO> inputsBatchs;

}
