package cn.iocoder.yudao.module.product.controller.admin.landinfo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
* 农事土地信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class LandInfoBaseVO {

    @ApiModelProperty(value = "地块/鱼塘/牧场名称")
    private String landName;

    @ApiModelProperty(value = "地块/鱼塘/牧场编码")
    private String landId;

    @ApiModelProperty(value = "面积")
    private BigDecimal size;

    @ApiModelProperty(value = "地块状态 关联block_state表id")
    private Long state;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "地块类型 关联info_type表id")
    @NotNull(message = "地块类型不能为空")
    private Long landType;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
