package cn.iocoder.yudao.module.product.controller.admin.landinfo.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "管理后台 - 农事土地信息 Excel 导出 Request VO", description = "参数和 LandInfoPageReqVO 是一致的")
@Data
public class LandInfoExportReqVO {

    @ApiModelProperty(value = "地块/鱼塘/牧场名称")
    private String landName;

    @ApiModelProperty(value = "地块/鱼塘/牧场编码")
    private String landId;

    @ApiModelProperty(value = "面积")
    private BigDecimal size;

    @ApiModelProperty(value = "地块状态 关联block_state表id")
    private Long state;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "地块类型 关联info_type表id")
    private Long landType;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
