package cn.iocoder.yudao.module.product.controller.admin.landjob.vo;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 种植/养殖/畜牧作业 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class LandJobBaseVO {

    @ApiModelProperty(value = "地块ID", required = true)
    @NotNull(message = "地块ID不能为空")
    private String landId;

    @ApiModelProperty(value = "种植作业ID", required = true)
    @NotNull(message = "种植作业ID不能为空")
    private String landJobId;

    @ApiModelProperty(value = "地块名称", required = true)
    @NotNull(message = "地块名称不能为空")
    private String landName;

    @ApiModelProperty(value = "类型：0：地块 1：鱼塘  2：牧场", required = true)
    @NotNull(message = "类型：0：地块 1：鱼塘  2：牧场不能为空")
    private Long landType;

    @ApiModelProperty(value = "任务类型", required = true)
    @NotNull(message = "任务类型不能为空")
    private Long jobType;

    @ApiModelProperty(value = "作业员工", required = true)
    @NotNull(message = "作业员工不能为空")
    private String jobWorker;

    @ApiModelProperty(value = "作业ID", required = true)
    @NotNull(message = "作业ID不能为空")
    private Long jobWorkerId;

    @ApiModelProperty(value = "作业日期", required = true)
    @NotNull(message = "作业日期不能为空")
    private Date jobDate;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ApiModelProperty(value = "作业图片")
    private String jobImgUrl;

    @TableField(updateStrategy = FieldStrategy.IGNORED) // 为了不被自动排空
    @ApiModelProperty(value = "作业视频")
    private String jobVideoUrl;
}
