package cn.iocoder.yudao.module.product.controller.admin.landjob.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo.LandJobInputsSaveReqVO;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@ApiModel("app移动端 - 种植/养殖/畜牧作业创建 Request VO")
@Data
public class LandJobCreateOfAppReqVO {

    @ApiModelProperty(value = "openid", required = true)
    @NotNull(message = "openid不能为空")
    private String openid;

    @ApiModelProperty(value = "地块编码", required = true)
    @NotNull(message = "地块编码不能为空")
    private String landId;

    @ApiModelProperty(value = "任务类型", required = true)
    @NotNull(message = "任务类型不能为空")
    private Long jobType;

    @ApiModelProperty(value = "作业日期", required = true)
    @NotNull(message = "作业日期不能为空")
    private Date jobDate;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "所属商户id", required = true)
    private Long belongBusinessId;

    @ApiModelProperty(value = "作业图片")
    private String jobImgUrl;

    @ApiModelProperty(value = "作业视频")
    private String jobVideoUrl;

    @ApiModelProperty(value = "种植作业")
    @Valid
    private List<LandJobInputsSaveReqVO> landJobInputs;

}
