package cn.iocoder.yudao.module.product.controller.admin.landjob.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo.LandJobInputsSaveReqVO;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 种植/养殖/畜牧作业创建 Request VO")
@Data
@ToString(callSuper = true)
public class LandJobCreateReqVO {

    @ApiModelProperty(value = "地块ID")
    private String landId;

    @ApiModelProperty(value = "种植作业ID")
    private String landJobId;

    @ApiModelProperty(value = "地块名称")
    private String landName;

    @ApiModelProperty(value = "任务类型")
    private Long jobType;

    @ApiModelProperty(value = "作业员工")
    private String jobWorker;

    @ApiModelProperty(value = "作业ID")
    private Long jobWorkerId;

    @ApiModelProperty(value = "作业日期")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date jobDate;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty("所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty("所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ApiModelProperty(value = "类型：0：地块 1：鱼塘  2：牧场")
    private Long landType;

    @ApiModelProperty(value = "作业图片")
    private String jobImgUrl;

    @TableField(updateStrategy = FieldStrategy.IGNORED) // 为了不被自动排空
    @ApiModelProperty(value = "作业视频")
    private String jobVideoUrl;

    @ApiModelProperty(value = "种植作业", required = true)
    @Valid
    private List<LandJobInputsSaveReqVO> landJobIds;

}
