package cn.iocoder.yudao.module.product.controller.admin.landjob.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

import javax.validation.constraints.NotNull;

/**
 * 种植/养殖/畜牧作业 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class LandJobExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("地块ID")
    private String landId;

    @ApiModelProperty(value = "种植作业ID")
    private String landJobId;

    @ExcelProperty("地块名称")
    private String landName;

    @ExcelProperty("类型：0：地块 1：鱼塘  2：牧场")
    private Long landType;

    @ExcelProperty("任务类型")
    private Long jobType;

    @ExcelProperty("作业员工")
    private String jobWorker;

    @ExcelProperty("作业ID")
    private Long jobWorkerId;

    @ExcelProperty("作业日期")
    private Date jobDate;

    @ExcelProperty("备注")
    private String remarks;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

    @ExcelProperty("上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ApiModelProperty(value = "作业图片")
    private String jobImgUrl;

    @ApiModelProperty(value = "作业视频")
    private String jobVideoUrl;

}
