package cn.iocoder.yudao.module.product.controller.admin.landjob.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 种植/养殖/畜牧作业分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LandJobPageReqVO extends PageParam {

    @ApiModelProperty(value = "地块ID")
    private String landId;

    @ApiModelProperty(value = "地块名称")
    private String landName;

    @ApiModelProperty(value = "种植作业ID")
    private String landJobId;

    @ApiModelProperty(value = "类型：0：地块 1：鱼塘  2：牧场")
    private Long landType;

    @ApiModelProperty(value = "任务类型")
    private Long jobType;

    @ApiModelProperty(value = "作业员工")
    private String jobWorker;

    @ApiModelProperty(value = "作业ID")
    private Long jobWorkerId;

    @ApiModelProperty(value = "作业日期")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] jobDate;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ApiModelProperty(value = "作业图片")
    private String jobImgUrl;

    @TableField(updateStrategy = FieldStrategy.IGNORED) // 为了不被自动排空
    @ApiModelProperty(value = "作业视频")
    private String jobVideoUrl;

    @ApiModelProperty(value = "任务类型名")
    private String JobTypeName;

}
