package cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 地块作业投入品 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class LandJobInputsBaseVO {

    @ApiModelProperty(value = "种植作业ID", required = true)
    private String landJobId;

    @ApiModelProperty(value = "投入品名称", required = true)
    @NotNull(message = "投入品名称不能为空")
    private String inputsName;

    @ApiModelProperty(value = "投入品ID", required = true)
    @NotNull(message = "投入品ID不能为空")
    private String inputsId;

    @ApiModelProperty(value = "投入品批次ID", required = true)
    @NotNull(message = "投入品批次ID不能为空")
    private String inputsBatchId;

    @ApiModelProperty(value = "投入品数量", required = true)
    @NotNull(message = "投入品数量不能为空")
    private Integer inputsNum;

    @ApiModelProperty(value = "投入品单位")
    private String inputsUnit;

    @ApiModelProperty(value = "投入品描述")
    private String inputsDesc;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

    @ApiModelProperty(value = "投入品操作图片")
    private String inputsImgUrl;

    @ApiModelProperty(value = "投入品操作视频")
    private String inputsVideoUrl;

}
