package cn.iocoder.yudao.module.product.controller.admin.landplan.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
* 地块作业计划 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class LandPlanBaseVO {

    @ApiModelProperty(value = "地块ID", required = true)
    @NotNull(message = "地块ID不能为空")
    private String landId;

    @ApiModelProperty(value = "地块名称", required = true)
    @NotNull(message = "地块名称不能为空")
    private String landName;

    @ApiModelProperty(value = "种植计划ID", required = true)
    private String landPlanId;

    @ApiModelProperty(value = "商品ID", required = true)
    @NotNull(message = "商品ID不能为空")
    private String goodsId;

    @ApiModelProperty(value = "商品名称", required = true)
    @NotNull(message = "商品名称不能为空")
    private String goodsName;

    @ApiModelProperty(value = "计划种植时间", required = true)
    @NotNull(message = "计划种植时间不能为空")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date planStartTime;

    @ApiModelProperty(value = "计划收获时间", required = true)
    @NotNull(message = "计划收获时间不能为空")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date planEndTime;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

    @ApiModelProperty(value = "备注")
    private String remark;

}
