package cn.iocoder.yudao.module.product.controller.app.inputsbatch;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.product.service.inputsbatch.InputsBatchService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;
import java.util.List;

@Api(tags = "APP移动端 - 投入品批次")
@RestController
@RequestMapping("/product/inputs-batch")
@Validated
public class InputsBatchAppController {

    @Resource
    private InputsBatchService inputsBatchService;

    @GetMapping("/getInputsBatchInputsBatchIdList")
    @PermitAll // 无需登陆
    @ApiOperation("根据投入品id获取所有投入品批次")
    @ApiImplicitParam(name = "inputsId", value = "投入品编码", required = true, example = "INCD202304061557C3VM", dataTypeClass = Integer.class)
    public CommonResult<List<String>> getInputsBatchInputsBatchIdList(@RequestParam("inputsId") String inputsId) {
        List<String> inputsBatchInputsBatchIdList = inputsBatchService.getInputsBatchInputsBatchIdList(inputsId);
        return CommonResult.success(inputsBatchInputsBatchIdList);
    }

}
