package cn.iocoder.yudao.module.product.controller.app.landinfo;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.product.controller.admin.landinfo.vo.LandInfoRespVO;
import cn.iocoder.yudao.module.product.convert.landinfo.LandInfoConvert;
import cn.iocoder.yudao.module.product.service.landinfo.LandInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;
import java.util.List;

@Api(tags = "APP移动端 - 地块信息")
@RestController
@RequestMapping("/product/land-info")
@Validated
public class LandInfoAppController {

    @Resource
    private LandInfoService landInfoService;

    @GetMapping("/getLandByBussinessInfoId")
    @PermitAll // 无需登陆
    @ApiOperation("根据商户ID获取地块信息")
    @ApiImplicitParam(name = "belongBusinessId", value = "商户ID", required = true, example = "1", dataTypeClass = Long.class)
    public CommonResult<List<LandInfoRespVO>> getLandByBussinessInfoId(@RequestParam("belongBusinessId") Long belongBusinessId) {
        return CommonResult.success(LandInfoConvert.INSTANCE.convertList(landInfoService.getLandInfoByBelongBusinessId(belongBusinessId)));
    }
}
