package cn.iocoder.yudao.module.product.controller.app.landjobtype;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.product.controller.admin.landjobtype.vo.LandJobTypeRespVO;
import cn.iocoder.yudao.module.product.convert.landjobtype.LandJobTypeConvert;
import cn.iocoder.yudao.module.product.service.landjobtype.LandJobTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;
import java.util.List;

@Api(tags = "APP移动端 - 地块作业类型")
@RestController
@RequestMapping("/product/land-job-type")
@Validated
public class LandJobTypeAppController {

    @Resource
    private LandJobTypeService landJobTypeService;

    @GetMapping("/getLandJobTypes")
    @PermitAll // 无需登陆
    @ApiOperation("根据商户ID获取地块作业类型")
    @ApiImplicitParam(name = "belongBusinessId", value = "商户ID", required = true, example = "1", dataTypeClass = Long.class)
    public CommonResult<List<LandJobTypeRespVO>> getLandJobTypes(@RequestParam("belongBusinessId") Long belongBusinessId) {
        return CommonResult.success(LandJobTypeConvert.INSTANCE.convertList(landJobTypeService.getByBusinessInfoId(belongBusinessId)));
    }

}
