package cn.iocoder.yudao.module.product.convert.inputsbatch;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.basic.api.goodsinputrelational.dto.InputInfoRelationalRespDTO;
import cn.iocoder.yudao.module.product.api.inputsbatch.dto.InputsBatchDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.inputsbatch.InputsBatchDO;

/**
 * 投入品批次 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface InputsBatchConvert {

    InputsBatchConvert INSTANCE = Mappers.getMapper(InputsBatchConvert.class);

    InputsBatchDO convert(InputsBatchCreateReqVO bean);

    InputsBatchDO convert(InputsBatchSaveReqVO bean);

    InputsBatchRespVO convert(InputsBatchDO bean);

    List<InputsBatchRespVO> convertList(List<InputsBatchDO> list);

    PageResult<InputsBatchRespVO> convertPage(PageResult<InputsBatchDO> page);

    List<InputsBatchExcelVO> convertList02(List<InputsBatchDO> list);

    List<InputsBatchDO> convertListForCreate(List<InputsBatchSaveReqVO> list);

    List<InputsBatchRespVO> convertOfDTOList(List<InputInfoRelationalRespDTO> goodsInfos);

    List<InputsBatchDTO> convertInputsBatchDOToDTOList(List<InputsBatchDO> goodsInfos);
}
