package cn.iocoder.yudao.module.product.convert.inputsbuy;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.basic.api.goodsinfo.dto.GoodsInfoRespDTO;
import cn.iocoder.yudao.module.product.api.inputsbuy.dto.InputsBuyDTO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.GoodsInfoReqVO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.InputsBuyCreateReqVO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.InputsBuyRespVO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.InputsBuyUpdateReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.inputsbuy.InputsBuyDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 投入品采购 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface InputsBuyConvert {

    InputsBuyConvert INSTANCE = Mappers.getMapper(InputsBuyConvert.class);

    InputsBuyDO convert(InputsBuyCreateReqVO bean);

    InputsBuyDO convert(InputsBuyUpdateReqVO bean);

    InputsBuyRespVO convert(InputsBuyDO bean);

    List<InputsBuyRespVO> convertList(List<InputsBuyDO> list);

    PageResult<InputsBuyRespVO> convertPage(PageResult<InputsBuyDO> page);

    List<GoodsInfoReqVO> convertToGoodsInfoList(List<GoodsInfoRespDTO> list);

    List<InputsBuyDTO> convertToInputsBuyDTOList(List<InputsBuyDO> list);
}
