package cn.iocoder.yudao.module.product.dal.dataobject.inputsbatch;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 投入品批次 DO
 *
 * @author 芋道源码
 */
@TableName("product_inputs_batch")
@KeySequence("product_inputs_batch_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InputsBatchDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 投入品名称
     */
    private String inputsName;
    /**
     * 投入品ID
     */
    private String inputsId;
    /**
     * 投入品批次ID
     */
    private String inputsBatchId;
    /**
     * 投入品采购单号
     */
    private String inputsBuyId;
    /**
     * 生产日期
     */
    private Date productData;
    /**
     * 投入品数量
     */
    private Integer inputsNum;
    /**
     * 投入品单位
     */
    private String inputsUnit;
    /**
     * 投入品总量
     */
    private BigDecimal inputsWeight;
    /**
     * 投入品单价
     */
    private BigDecimal inputsUnitPrice;
    /**
     * 投入品总价
     */
    private BigDecimal totalPrice;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;
    /**
     * 批次上链区块id
     */
    private String blockChainId;
    /**
     * 批次上链区块唯一识别码
     */
    private String blockChainBlockIdentity;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
