package cn.iocoder.yudao.module.product.dal.dataobject.inputsbuy;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 投入品采购 DO
 *
 * @author 芋道源码
 */
@TableName("product_inputs_buy")
@KeySequence("product_inputs_buy_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InputsBuyDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 投入品采购单号
     */
    private String inputsBuyId;
    /**
     * 关联出库单号
     */
    private String relateOutboundId;
    /**
     * 供应商名称
     */
    private String vendorName;
    /**
     * 供应商id
     */
    private String vendorId;
    /**
     * 入库时间
     */
    private Date inputsBuyTime;
    /**
     * 上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;
    /**
     * 批次上链区块id
     */
    private String blockChainId;
    /**
     * 批次上链区块唯一识别码
     */
    private String blockChainBlockIdentity;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
