package cn.iocoder.yudao.module.product.dal.dataobject.landinfo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 农事土地信息 DO
 *
 * @author 芋道源码
 */
@TableName("product_land_info")
@KeySequence("product_land_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LandInfoDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 地块/鱼塘/牧场名称
     */
    private String landName;
    /**
     * 地块/鱼塘/牧场编码
     */
    private String landId;
    /**
     * 面积
     */
    private BigDecimal size;
    /**
     * 地块状态 关联block_state表id
     */
    private Long state;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 地块类型 关联info_type表id
     */
    private Long landType;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 租户id
     */
    private Long tenantId;

    /**
     * 地块类型（String） 为了显示
     */
    @TableField(exist = false)
    private String infoTypeName;

    /**
     * 地块状态（String） 为了显示
     */
    @TableField(exist = false)
    private String infoStateName;

}
