package cn.iocoder.yudao.module.product.dal.dataobject.landinfotype;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 地块类型 DO
 *
 * @author 芋道源码
 */
@TableName("product_land_info_type")
@KeySequence("product_land_info_type_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LandInfoTypeDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 地块类型
     */
    private String landTypeName;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
