package cn.iocoder.yudao.module.product.dal.dataobject.landjob;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 种植/养殖/畜牧作业 DO
 *
 * @author 芋道源码
 */
@TableName("product_land_job")
@KeySequence("product_land_job_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LandJobDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 地块ID
     */
    private String landId;
    /**
     * 地块名称
     */
    private String landName;
    /**
     * 种植作业ID
     */
    private String landJobId;
    /**
     * 类型：0：地块 1：鱼塘  2：牧场
     */
    private Long landType;
    /**
     * 任务类型
     */
    private Long jobType;
    /**
     * 作业员工
     */
    private String jobWorker;
    /**
     * 作业ID
     */
    private Long jobWorkerId;
    /**
     * 作业日期
     */
    private Date jobDate;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;
    /**
     * 批次上链区块id
     */
    private String blockChainId;
    /**
     * 批次上链区块唯一识别码
     */
    private String blockChainBlockIdentity;
    /**
     * 作业图片
     */
    private String jobImgUrl;
    /**
     * 作业视频
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED) // 为了不被自动排空
    private String jobVideoUrl;
    /**
     * 任务类型（String） 为了显示
     */
    @TableField(exist = false)
    private String jobTypeName;

}
