package cn.iocoder.yudao.module.product.dal.dataobject.landjobinputs;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 地块作业投入品 DO
 *
 * @author 芋道源码
 */
@TableName("product_land_job_inputs")
@KeySequence("product_land_job_inputs_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LandJobInputsDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 种植作业ID
     */
    private String landJobId;
    /**
     * 投入品名称
     */
    private String inputsName;
    /**
     * 投入品ID
     */
    private String inputsId;
    /**
     * 投入品批次ID
     */
    private String inputsBatchId;
    /**
     * 投入品数量
     */
    private Integer inputsNum;
    /**
     * 投入品单位
     */
    private String inputsUnit;
    /**
     * 投入品描述
     */
    private String inputsDesc;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

    /**
     * 上传地块投入品操作图片
     */
    private String inputsImgUrl;

    /**
     * 上传地块投入品操作视频
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED) // 为了不被自动排空
    private String inputsVideoUrl;

}
