package cn.iocoder.yudao.module.product.dal.dataobject.landplan;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 地块作业计划 DO
 *
 * @author 芋道源码
 */
@TableName("product_land_plan")
@KeySequence("product_land_plan_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LandPlanDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 地块ID
     */
    private String landId;
    /**
     * 地块名称
     */
    private String landName;
    /**
     * 种植计划ID
     */
    private String landPlanId;
    /**
     * 商品ID
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 计划种植时间
     */
    private Date planStartTime;
    /**
     * 计划收获时间
     */
    private Date planEndTime;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 备注
     */
    private String remark;

}
