package cn.iocoder.yudao.module.product.dal.mysql.inputsbatch;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo.InputsBatchExportReqVO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo.InputsBatchPageReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.inputsbatch.InputsBatchDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 投入品批次 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface InputsBatchMapper extends BaseMapperX<InputsBatchDO> {

    default PageResult<InputsBatchDO> selectPage(InputsBatchPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<InputsBatchDO>()
                .likeIfPresent(InputsBatchDO::getInputsName, reqVO.getInputsName())
                .eqIfPresent(InputsBatchDO::getInputsBatchId, reqVO.getInputsBatchId())
                .eqIfPresent(InputsBatchDO::getInputsBuyId, reqVO.getInputsBuyId())
                .eqIfPresent(InputsBatchDO::getProductData, reqVO.getProductData())
                // .eqIfPresent(InputsBatchDO::getBlockState, reqVO.getBlockState())
                .likeIfPresent(InputsBatchDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                // .ne(InputsBatchDO::getBlockState, BlockStateEnum.NOT_ON_CHAIN.getBlockState())
                .orderByDesc(InputsBatchDO::getCreateTime));
    }

    default List<InputsBatchDO> selectList(InputsBatchExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<InputsBatchDO>()
                .likeIfPresent(InputsBatchDO::getInputsName, reqVO.getInputsName())
                .eqIfPresent(InputsBatchDO::getInputsId, reqVO.getInputsId())
                .eqIfPresent(InputsBatchDO::getInputsBatchId, reqVO.getInputsBatchId())
                .eqIfPresent(InputsBatchDO::getInputsBuyId, reqVO.getInputsBuyId())
                .eqIfPresent(InputsBatchDO::getProductData, reqVO.getProductData())
                .eqIfPresent(InputsBatchDO::getInputsNum, reqVO.getInputsNum())
                .eqIfPresent(InputsBatchDO::getInputsUnit, reqVO.getInputsUnit())
                .eqIfPresent(InputsBatchDO::getInputsWeight, reqVO.getInputsWeight())
                .eqIfPresent(InputsBatchDO::getInputsUnitPrice, reqVO.getInputsUnitPrice())
                .eqIfPresent(InputsBatchDO::getTotalPrice, reqVO.getTotalPrice())
                .eqIfPresent(InputsBatchDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(InputsBatchDO::getBlockState, reqVO.getBlockState())
                .eqIfPresent(InputsBatchDO::getBlockChainId, reqVO.getBlockChainId())
                .eqIfPresent(InputsBatchDO::getBlockChainBlockIdentity, reqVO.getBlockChainBlockIdentity())
                .eqIfPresent(InputsBatchDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(InputsBatchDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(InputsBatchDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(InputsBatchDO::getId));
    }

    List<String> queryInputsIdByInputsBuyId(String inputsBuyId);

}
