package cn.iocoder.yudao.module.product.dal.mysql.inputsbuy;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.InputsBuyPageReqVO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.InputsBuyRespVO;
import cn.iocoder.yudao.module.product.controller.admin.statistics.vo.GoodsStatisticsDataRespVO;
import cn.iocoder.yudao.module.product.controller.admin.statistics.vo.InputsStatisticsDataRespVO;
import cn.iocoder.yudao.module.product.controller.admin.statistics.vo.MonthYOYRespVO;
import cn.iocoder.yudao.module.product.controller.admin.statistics.vo.WeekYOYRespVO;
import cn.iocoder.yudao.module.product.dal.dataobject.inputsbuy.InputsBuyDO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 投入品采购 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface InputsBuyMapper extends BaseMapperX<InputsBuyDO> {

    List<InputsBuyRespVO> selectInputsBuyPage(Page page, @Param("pageReqVO") InputsBuyPageReqVO pageReqVO);

    /**
     * 获得月同比数据
     */
    List<MonthYOYRespVO> getMonthYOYDatas();

    /**
     * 获得周同比数据
     */
    List<WeekYOYRespVO> getWeekYOYDatas();

    /**
     * 获得月统计的投入品采购数据
     */
    List<InputsStatisticsDataRespVO> getDatasGroupByGoodsId(@Param("type") String type);

    /**
     * 获得今天的采购数量
     */
    BigDecimal getTodayInputBuyCount();

}
