package cn.iocoder.yudao.module.product.dal.mysql.landblockstate;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.product.controller.admin.landblockstate.vo.LandBlockStatePageReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.landblockstate.LandBlockStateDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 地块状态 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface LandBlockStateMapper extends BaseMapperX<LandBlockStateDO> {

    default PageResult<LandBlockStateDO> selectPage(LandBlockStatePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LandBlockStateDO>()
                .likeIfPresent(LandBlockStateDO::getLandStateName, reqVO.getLandStateName())
                .eqIfPresent(LandBlockStateDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandBlockStateDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(LandBlockStateDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LandBlockStateDO::getId));
    }

}
