package cn.iocoder.yudao.module.product.dal.mysql.landinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.product.controller.admin.landinfo.vo.LandInfoExportReqVO;
import cn.iocoder.yudao.module.product.controller.admin.landinfo.vo.LandInfoPageReqVO;
import cn.iocoder.yudao.module.product.controller.admin.statistics.vo.TopDataRespVO;
import cn.iocoder.yudao.module.product.dal.dataobject.landinfo.LandInfoDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 农事土地信息 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface LandInfoMapper extends BaseMapperX<LandInfoDO> {

    default PageResult<LandInfoDO> selectPage(LandInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LandInfoDO>()
                .likeIfPresent(LandInfoDO::getLandName, reqVO.getLandName())
                .eqIfPresent(LandInfoDO::getLandId, reqVO.getLandId())
                .eqIfPresent(LandInfoDO::getSize, reqVO.getSize())
                .eqIfPresent(LandInfoDO::getState, reqVO.getState())
                .eqIfPresent(LandInfoDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(LandInfoDO::getLandType, reqVO.getLandType())
                .eqIfPresent(LandInfoDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandInfoDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(LandInfoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LandInfoDO::getId));
    }

    default List<LandInfoDO> selectList(LandInfoExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<LandInfoDO>()
                .likeIfPresent(LandInfoDO::getLandName, reqVO.getLandName())
                .eqIfPresent(LandInfoDO::getLandId, reqVO.getLandId())
                .eqIfPresent(LandInfoDO::getSize, reqVO.getSize())
                .eqIfPresent(LandInfoDO::getState, reqVO.getState())
                .eqIfPresent(LandInfoDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(LandInfoDO::getLandType, reqVO.getLandType())
                .eqIfPresent(LandInfoDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandInfoDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(LandInfoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LandInfoDO::getId));
    }

    IPage<LandInfoDO> selectLandInfoById(IPage<LandInfoDO> page,
                                         @Param("landName") String landName,
                                         @Param("landId") String landId,
                                         @Param("belongBusinessName") String belongBusinessName,
                                         @Param("state") Long state);

    TopDataRespVO getLandStatistics();
}
