package cn.iocoder.yudao.module.product.dal.mysql.landinfotype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.product.dal.dataobject.landinfotype.LandInfoTypeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.product.controller.admin.landinfotype.vo.*;

/**
 * 地块类型 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface LandInfoTypeMapper extends BaseMapperX<LandInfoTypeDO> {

    default PageResult<LandInfoTypeDO> selectPage(LandInfoTypePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LandInfoTypeDO>()
                .likeIfPresent(LandInfoTypeDO::getLandTypeName, reqVO.getLandTypeName())
                .eqIfPresent(LandInfoTypeDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandInfoTypeDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(LandInfoTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LandInfoTypeDO::getId));
    }

}
