package cn.iocoder.yudao.module.product.dal.mysql.landjob;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.product.dal.dataobject.landjob.LandJobDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.product.controller.admin.landjob.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 种植/养殖/畜牧作业 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface LandJobMapper extends BaseMapperX<LandJobDO> {

    default PageResult<LandJobDO> selectPage(LandJobPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LandJobDO>()
                .eqIfPresent(LandJobDO::getLandId, reqVO.getLandId())
                .likeIfPresent(LandJobDO::getLandName, reqVO.getLandName())
                .eqIfPresent(LandJobDO::getLandType, reqVO.getLandType())
                .eqIfPresent(LandJobDO::getJobType, reqVO.getJobType())
                .eqIfPresent(LandJobDO::getJobWorker, reqVO.getJobWorker())
                .eqIfPresent(LandJobDO::getJobWorkerId, reqVO.getJobWorkerId())
                .betweenIfPresent(LandJobDO::getJobDate, reqVO.getJobDate())
                .eqIfPresent(LandJobDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(LandJobDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandJobDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(LandJobDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(LandJobDO::getBlockState, reqVO.getBlockState())
                .eqIfPresent(LandJobDO::getJobImgUrl,reqVO.getJobImgUrl())
                .eqIfPresent(LandJobDO::getJobVideoUrl,reqVO.getJobVideoUrl())
                .orderByDesc(LandJobDO::getId));
    }

    default List<LandJobDO> selectList(LandJobExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<LandJobDO>()
                .eqIfPresent(LandJobDO::getLandId, reqVO.getLandId())
                .likeIfPresent(LandJobDO::getLandName, reqVO.getLandName())
                .eqIfPresent(LandJobDO::getLandType, reqVO.getLandType())
                .eqIfPresent(LandJobDO::getJobType, reqVO.getJobType())
                .eqIfPresent(LandJobDO::getJobWorker, reqVO.getJobWorker())
                .eqIfPresent(LandJobDO::getJobWorkerId, reqVO.getJobWorkerId())
                .betweenIfPresent(LandJobDO::getJobDate, reqVO.getJobDate())
                .eqIfPresent(LandJobDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(LandJobDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandJobDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(LandJobDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(LandJobDO::getBlockState, reqVO.getBlockState())
                .eqIfPresent(LandJobDO::getJobImgUrl,reqVO.getJobImgUrl())
                .eqIfPresent(LandJobDO::getJobVideoUrl,reqVO.getJobVideoUrl())
                .orderByDesc(LandJobDO::getId));
    }


    IPage<LandJobDO>  selectJobTypeById(IPage<LandJobDO> page,
                                        @Param("landName") String landName,
                                        @Param("landId") String landId,
                                        @Param("jobType") Long jobType,
                                        @Param("belongBusinessName") String belongBusinessName);

    LandJobDO getLandJob(@Param("id") Long id, @Param("landJobId") String landJobId);

    List<LandJobRespVO> getSameTypeJobByType(@Param("type") Long type, @Param("landId") String landId, @Param("day") Integer day);

    List<LandJobDO> selectLandJob10Records();
}
