package cn.iocoder.yudao.module.product.dal.mysql.landjobinputs;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.product.dal.dataobject.landjobinputs.LandJobInputsDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 地块作业投入品 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface LandJobInputsMapper extends BaseMapperX<LandJobInputsDO> {

    default PageResult<LandJobInputsDO> selectPage(LandJobInputsPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LandJobInputsDO>()
                .eqIfPresent(LandJobInputsDO::getLandJobId, reqVO.getLandJobId())
                .likeIfPresent(LandJobInputsDO::getInputsName, reqVO.getInputsName())
                .eqIfPresent(LandJobInputsDO::getInputsId, reqVO.getInputsId())
                .eqIfPresent(LandJobInputsDO::getInputsBatchId, reqVO.getInputsBatchId())
                .eqIfPresent(LandJobInputsDO::getInputsNum, reqVO.getInputsNum())
                .eqIfPresent(LandJobInputsDO::getInputsUnit, reqVO.getInputsUnit())
                .eqIfPresent(LandJobInputsDO::getInputsDesc, reqVO.getInputsDesc())
                .betweenIfPresent(LandJobInputsDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(LandJobInputsDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandJobInputsDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .orderByDesc(LandJobInputsDO::getId));
    }

    default List<LandJobInputsDO> selectList(LandJobInputsExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<LandJobInputsDO>()
                .eqIfPresent(LandJobInputsDO::getLandJobId, reqVO.getLandJobId())
                .likeIfPresent(LandJobInputsDO::getInputsName, reqVO.getInputsName())
                .eqIfPresent(LandJobInputsDO::getInputsId, reqVO.getInputsId())
                .eqIfPresent(LandJobInputsDO::getInputsBatchId, reqVO.getInputsBatchId())
                .eqIfPresent(LandJobInputsDO::getInputsNum, reqVO.getInputsNum())
                .eqIfPresent(LandJobInputsDO::getInputsUnit, reqVO.getInputsUnit())
                .eqIfPresent(LandJobInputsDO::getInputsDesc, reqVO.getInputsDesc())
                .betweenIfPresent(LandJobInputsDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(LandJobInputsDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandJobInputsDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .orderByDesc(LandJobInputsDO::getId));
    }

    LandJobInputsDO getLandJobInputs(@Param("id") Long id);

}
