package cn.iocoder.yudao.module.product.dal.mysql.landjobtype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.product.dal.dataobject.landjobtype.LandJobTypeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.product.controller.admin.landjobtype.vo.*;

/**
 * 作业类型 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface LandJobTypeMapper extends BaseMapperX<LandJobTypeDO> {

    default PageResult<LandJobTypeDO> selectPage(LandJobTypePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LandJobTypeDO>()
                .likeIfPresent(LandJobTypeDO::getTypeName, reqVO.getTypeName())
                .eqIfPresent(LandJobTypeDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandJobTypeDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .betweenIfPresent(LandJobTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LandJobTypeDO::getId));
    }

}
