package cn.iocoder.yudao.module.product.dal.mysql.landplan;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.product.dal.dataobject.landplan.LandPlanDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.product.controller.admin.landplan.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 地块作业计划 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface LandPlanMapper extends BaseMapperX<LandPlanDO> {

    default PageResult<LandPlanDO> selectPage(LandPlanPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LandPlanDO>()
                .eqIfPresent(LandPlanDO::getLandId, reqVO.getLandId())
                .likeIfPresent(LandPlanDO::getLandName, reqVO.getLandName())
                .eqIfPresent(LandPlanDO::getLandPlanId, reqVO.getLandPlanId())
                .eqIfPresent(LandPlanDO::getGoodsId, reqVO.getGoodsId())
                .likeIfPresent(LandPlanDO::getGoodsName, reqVO.getGoodsName())
                .betweenIfPresent(LandPlanDO::getPlanStartTime, reqVO.getPlanStartTime())
                .betweenIfPresent(LandPlanDO::getPlanEndTime, reqVO.getPlanEndTime())
                .eqIfPresent(LandPlanDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandPlanDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .eqIfPresent(LandPlanDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(LandPlanDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LandPlanDO::getId));
    }

    default List<LandPlanDO> selectList(LandPlanExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<LandPlanDO>()
                .eqIfPresent(LandPlanDO::getLandId, reqVO.getLandId())
                .likeIfPresent(LandPlanDO::getLandName, reqVO.getLandName())
                .eqIfPresent(LandPlanDO::getLandPlanId, reqVO.getLandPlanId())
                .eqIfPresent(LandPlanDO::getGoodsId, reqVO.getGoodsId())
                .likeIfPresent(LandPlanDO::getGoodsName, reqVO.getGoodsName())
                .betweenIfPresent(LandPlanDO::getPlanStartTime, reqVO.getPlanStartTime())
                .betweenIfPresent(LandPlanDO::getPlanEndTime, reqVO.getPlanEndTime())
                .eqIfPresent(LandPlanDO::getBelongBusinessId, reqVO.getBelongBusinessId())
                .likeIfPresent(LandPlanDO::getBelongBusinessName, reqVO.getBelongBusinessName())
                .eqIfPresent(LandPlanDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(LandPlanDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LandPlanDO::getId));
    }

    List<LandPlanRespVO> queryLandPlansByParams(@Param("params") Map<String, Object> params);

}
