package cn.iocoder.yudao.module.product.framework.rpc.config;

import cn.iocoder.yudao.module.basic.api.businessinfo.BusinessInfoApi;
import cn.iocoder.yudao.module.basic.api.goodsinfo.GoodsInfoApi;
import cn.iocoder.yudao.module.basic.api.goodsinputrelational.GoodsInputRelationalApi;
import cn.iocoder.yudao.module.basic.api.goodsverify.GoodsVerifyApi;
import cn.iocoder.yudao.module.basic.api.inputsinfo.InputsInfoApi;
import cn.iocoder.yudao.module.basic.api.vendorinfo.VendorInfoApi;
import cn.iocoder.yudao.module.basic.api.workersinfo.WorkersinfoApi;
import cn.iocoder.yudao.module.chain.api.blockcertificate.BlockCertificateApi;
import cn.iocoder.yudao.module.chain.api.operatedetail.OperateDetailApi;
import cn.iocoder.yudao.module.configure.api.deviceenvtype.DeviceEnvTypeApi;
import cn.iocoder.yudao.module.configure.api.uniTemplate.UniTemplateApi;
import cn.iocoder.yudao.module.flow.api.outbound.OutboundApi;
import cn.iocoder.yudao.module.identity.api.scanrecord.ScanRecordApi;
import cn.iocoder.yudao.module.infra.api.file.FileApi;
import cn.iocoder.yudao.module.system.api.dict.DictDataApi;
import cn.iocoder.yudao.module.system.api.languagetype.LanguageTypeApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {
    VendorInfoApi.class,
    InputsInfoApi.class,
    GoodsInfoApi.class,
    GoodsInputRelationalApi.class,
    OutboundApi.class,
    BlockCertificateApi.class,
    OperateDetailApi.class,
    DictDataApi.class,
    GoodsVerifyApi.class,
    BusinessInfoApi.class,
    WorkersinfoApi.class,
    UniTemplateApi.class,
    ScanRecordApi.class,
    FileApi.class,
    DeviceEnvTypeApi.class,
    LanguageTypeApi.class,
})
public class RpcConfiguration {
}
