package cn.iocoder.yudao.module.product.service.landjobinputs;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landjobinputs.LandJobInputsDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 地块作业投入品 Service 接口
 *
 * @author 芋道源码
 */
public interface LandJobInputsService {

    /**
     * 创建地块作业投入品
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLandJobInputs(@Valid LandJobInputsCreateReqVO createReqVO);

    /**
     * 更新地块作业投入品
     *
     * @param updateReqVO 更新信息
     */
    void updateLandJobInputs(@Valid LandJobInputsUpdateReqVO updateReqVO);

    /**
     * 删除地块作业投入品
     *
     * @param id 编号
     */
    void deleteLandJobInputs(Long id);

    /**
     * 获得地块作业投入品
     *
     * @param id 编号
     * @return 地块作业投入品
     */
    LandJobInputsDO getLandJobInputs(Long id);

    /**
     * 获得地块作业投入品列表
     *
     * @param ids 编号
     * @return 地块作业投入品列表
     */
    List<LandJobInputsDO> getLandJobInputsList(Collection<Long> ids);

    /**
     * 获得地块作业投入品分页
     *
     * @param pageReqVO 分页查询
     * @return 地块作业投入品分页
     */
    PageResult<LandJobInputsDO> getLandJobInputsPage(LandJobInputsPageReqVO pageReqVO);

}
