package cn.iocoder.yudao.module.product.service.landjobtype;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.product.controller.admin.landjobtype.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landjobtype.LandJobTypeDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 作业类型 Service 接口
 *
 * @author 芋道源码
 */
public interface LandJobTypeService {

    /**
     * 创建作业类型
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLandJobType(@Valid LandJobTypeCreateReqVO createReqVO);

    /**
     * 更新作业类型
     *
     * @param updateReqVO 更新信息
     */
    void updateLandJobType(@Valid LandJobTypeUpdateReqVO updateReqVO);

    /**
     * 删除作业类型
     *
     * @param id 编号
     */
    void deleteLandJobType(Long id);

    /**
     * 获得作业类型
     *
     * @param id 编号
     * @return 作业类型
     */
    LandJobTypeDO getLandJobType(Long id);

    /**
     * 获得作业类型分页
     *
     * @param pageReqVO 分页查询
     * @return 作业类型分页
     */
    PageResult<LandJobTypeDO> getLandJobTypePage(LandJobTypePageReqVO pageReqVO);

    /**
     * 根据商户信息ID获取所有作业类型
     * @param id 商户ID
     * @return 地块类型
     */
    List<LandJobTypeDO> getByBusinessInfoId(Long id);

}
