package cn.iocoder.yudao.module.product.convert.inputsbuy;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.basic.api.goodsinfo.dto.GoodsInfoRespDTO;
import cn.iocoder.yudao.module.product.api.inputsbuy.dto.InputsBuyDTO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.GoodsInfoReqVO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.InputsBuyCreateReqVO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.InputsBuyRespVO;
import cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo.InputsBuyUpdateReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.inputsbuy.InputsBuyDO;
import java.time.ZoneOffset;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.annotation.Generated;

@Generated(
    value = "org.mapstruct.ap.MappingProcessor",
    date = "2024-12-20T15:58:27+0800",
    comments = "version: 1.5.3.Final, compiler: javac, environment: Java 1.8.0_291 (Oracle Corporation)"
)
public class InputsBuyConvertImpl implements InputsBuyConvert {

    @Override
    public InputsBuyDO convert(InputsBuyCreateReqVO bean) {
        if ( bean == null ) {
            return null;
        }

        InputsBuyDO.InputsBuyDOBuilder inputsBuyDO = InputsBuyDO.builder();

        inputsBuyDO.inputsBuyId( bean.getInputsBuyId() );
        inputsBuyDO.relateOutboundId( bean.getRelateOutboundId() );
        inputsBuyDO.vendorId( bean.getVendorId() );
        inputsBuyDO.inputsBuyTime( bean.getInputsBuyTime() );

        return inputsBuyDO.build();
    }

    @Override
    public InputsBuyDO convert(InputsBuyUpdateReqVO bean) {
        if ( bean == null ) {
            return null;
        }

        InputsBuyDO.InputsBuyDOBuilder inputsBuyDO = InputsBuyDO.builder();

        inputsBuyDO.id( bean.getId() );
        inputsBuyDO.relateOutboundId( bean.getRelateOutboundId() );
        inputsBuyDO.inputsBuyTime( bean.getInputsBuyTime() );

        return inputsBuyDO.build();
    }

    @Override
    public InputsBuyRespVO convert(InputsBuyDO bean) {
        if ( bean == null ) {
            return null;
        }

        InputsBuyRespVO inputsBuyRespVO = new InputsBuyRespVO();

        inputsBuyRespVO.setInputsBuyId( bean.getInputsBuyId() );
        inputsBuyRespVO.setRelateOutboundId( bean.getRelateOutboundId() );
        inputsBuyRespVO.setVendorName( bean.getVendorName() );
        inputsBuyRespVO.setVendorId( bean.getVendorId() );
        inputsBuyRespVO.setInputsBuyTime( bean.getInputsBuyTime() );
        inputsBuyRespVO.setBelongBusinessId( bean.getBelongBusinessId() );
        inputsBuyRespVO.setBelongBusinessName( bean.getBelongBusinessName() );
        inputsBuyRespVO.setId( bean.getId() );
        if ( bean.getCreateTime() != null ) {
            inputsBuyRespVO.setCreateTime( Date.from( bean.getCreateTime().toInstant( ZoneOffset.UTC ) ) );
        }
        inputsBuyRespVO.setBlockState( bean.getBlockState() );

        return inputsBuyRespVO;
    }

    @Override
    public List<InputsBuyRespVO> convertList(List<InputsBuyDO> list) {
        if ( list == null ) {
            return null;
        }

        List<InputsBuyRespVO> list1 = new ArrayList<InputsBuyRespVO>( list.size() );
        for ( InputsBuyDO inputsBuyDO : list ) {
            list1.add( convert( inputsBuyDO ) );
        }

        return list1;
    }

    @Override
    public PageResult<InputsBuyRespVO> convertPage(PageResult<InputsBuyDO> page) {
        if ( page == null ) {
            return null;
        }

        PageResult<InputsBuyRespVO> pageResult = new PageResult<InputsBuyRespVO>();

        pageResult.setList( convertList( page.getList() ) );
        pageResult.setTotal( page.getTotal() );

        return pageResult;
    }

    @Override
    public List<GoodsInfoReqVO> convertToGoodsInfoList(List<GoodsInfoRespDTO> list) {
        if ( list == null ) {
            return null;
        }

        List<GoodsInfoReqVO> list1 = new ArrayList<GoodsInfoReqVO>( list.size() );
        for ( GoodsInfoRespDTO goodsInfoRespDTO : list ) {
            list1.add( goodsInfoRespDTOToGoodsInfoReqVO( goodsInfoRespDTO ) );
        }

        return list1;
    }

    @Override
    public List<InputsBuyDTO> convertToInputsBuyDTOList(List<InputsBuyDO> list) {
        if ( list == null ) {
            return null;
        }

        List<InputsBuyDTO> list1 = new ArrayList<InputsBuyDTO>( list.size() );
        for ( InputsBuyDO inputsBuyDO : list ) {
            list1.add( inputsBuyDOToInputsBuyDTO( inputsBuyDO ) );
        }

        return list1;
    }

    protected GoodsInfoReqVO goodsInfoRespDTOToGoodsInfoReqVO(GoodsInfoRespDTO goodsInfoRespDTO) {
        if ( goodsInfoRespDTO == null ) {
            return null;
        }

        GoodsInfoReqVO goodsInfoReqVO = new GoodsInfoReqVO();

        goodsInfoReqVO.setGoodsId( goodsInfoRespDTO.getGoodsId() );
        goodsInfoReqVO.setGoodsName( goodsInfoRespDTO.getGoodsName() );

        return goodsInfoReqVO;
    }

    protected InputsBuyDTO inputsBuyDOToInputsBuyDTO(InputsBuyDO inputsBuyDO) {
        if ( inputsBuyDO == null ) {
            return null;
        }

        InputsBuyDTO inputsBuyDTO = new InputsBuyDTO();

        inputsBuyDTO.setId( inputsBuyDO.getId() );
        inputsBuyDTO.setInputsBuyId( inputsBuyDO.getInputsBuyId() );
        inputsBuyDTO.setRelateOutboundId( inputsBuyDO.getRelateOutboundId() );
        inputsBuyDTO.setVendorName( inputsBuyDO.getVendorName() );
        inputsBuyDTO.setVendorId( inputsBuyDO.getVendorId() );
        inputsBuyDTO.setInputsBuyTime( inputsBuyDO.getInputsBuyTime() );
        inputsBuyDTO.setBelongBusinessId( inputsBuyDO.getBelongBusinessId() );
        inputsBuyDTO.setBelongBusinessName( inputsBuyDO.getBelongBusinessName() );

        return inputsBuyDTO;
    }
}
